<template>
    <div>
        <label v-if="label" :for="identifier">{{ label }}</label>
        <select
                :name="identifier"
                :id="identifier"
                v-model="new_value"
                @change="change"
                :disabled="disabled"
        >
            <option
                    v-if="nullable"
                    :value="null"
            >
                {{ nullable_text }}
            </option>
            <option
                    v-for="item in items"
                    :value="item[item_value]"
            >
                {{ item[item_text] }}
            </option>
        </select>
        <div class="fieldchanger-error" v-if="error">
            {{ error }}
        </div>
        <div class="fieldchanger-hint" v-if="hint">
            {{ hint }}
        </div>
    </div>
</template>

<script>
    import DatabaseFieldchanger from "./DatabaseFieldchanger";

    export default {

        extends: DatabaseFieldchanger,

        props: {
            items: {
                type: Array,
                required: true,
            },

            item_value: {
                type: String,
                default: 'id',
            },

            item_text: {
                type: String,
                required: true,
            },

            nullable: {
                type: Boolean,
                default: false,
            },

            nullable_text: {
                type: String,
                default: '-',
            }
        }

    }
</script>